package theGhastModding.midiEditor.main;

import javax.swing.JFrame;
import javax.swing.UIManager;

import theGhastModding.midiEditor.gui.MIDIEditorPanel;

public class MIDIEditorStart {
	
	public static JFrame frame;
	//public static final String NAME = "TheGhastModding's fucking Black MIDI editor go kill yourself like, right now with bleach. Yeah. That's right. Drink some bleach.™";
	public static final String NAME = "TheGhastMidiEditor";
	public static final String VERSION = "Development 4.a.1-24-17";
	
	public static void main(String[] args){
		System.out.println("Starting Program. Setting Design.");
		try {
	        UIManager.setLookAndFeel(UIManager.getSystemLookAndFeelClassName());
		}catch(Exception e){
			e.printStackTrace();
		}
		System.out.println("Creating frame");
		frame = new JFrame(NAME);
		frame.setResizable(false);
		frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		frame.setContentPane(new MIDIEditorPanel());
		System.out.println("Packing frame");
		frame.pack();
		System.out.println("Showing frame");
		frame.setVisible(true);
	}
	
}